<solidify-empty-container [solidifyFocusFirstElement]="true"
                          cdkTrapFocus
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  (showHistoryChange)="showHistory()"
                                  [currentModel]="currentObs | async"
                                  [deleteAvailable]="canDoAlterationActions === depositEditModeEnum.full"
                                  [editAvailable]="canDoAlterationActions !== depositEditModeEnum.none"
                                  [formPresentational]="depositService.formPresentational"
                                  [keyDeleteButtonToTranslate]="labelTranslateEnum.deleteDeposit"
                                  [historyAvailable]="true"
                                  [listExtraButtons]="listExtraButtons"
                                  [listExtraSmallButtons]="smallButtons"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [saveAvailable]="false"
  >
  </solidify-button-toolbar-detail>

  <solidify-tabs-container (tabChange)="setCurrentTab($event)"
                           [isLoading]="isTour ? false : (isLoadingObs | async) && (depositModeTabEnumObs | async) === modeDepositTabEnum.UNDEFINED"
                           [tabs]="listTabs"
                           [tourAnchor]="tourEnum.depositDetail"
  >
    <router-outlet></router-outlet>
  </solidify-tabs-container>
</solidify-empty-container>
